Bug 1125373 - ovirt-engine currently sets the disk device to "lun" for all virtio-scsi direct LUN connections and disables read-only for these devices
Summary: ovirt-engine currently sets the disk device to "lun" for all virtio-scsi dire...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: All
unspecified
high
Target Milestone: ---
: 3.4.2
Assignee: Daniel Erez
QA Contact: Elad
URL:
Whiteboard: storage
Depends On: 1118847
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-07-31 16:41 UTC by rhev-integ
Modified: 2019-05-20 11:20 UTC (History)
15 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1118847
Environment:
Last Closed: 2014-09-04 15:10:05 UTC
oVirt Team: Storage
scohen: needinfo+
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1161 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.2 update 2014-09-04 19:09:32 UTC
oVirt gerrit 30905 ovirt-engine-3.4 MERGED core: allow read-only for VirtIO-SCSI DirectLUN disks Never
oVirt gerrit 31343 ovirt-engine-3.4 MERGED webadmin: attach disk - allow read-only for DirectLUN Never

Comment 1 Elad 2014-08-11 10:56:54 UTC
Attaching a direct LUN connected by virt-IO-SCSI as RO is greyed out in webadmin.

Re-opening.

Checked with RHEVM3.4.2-AV11

Comment 3 Eyal Edri 2014-08-13 13:47:08 UTC
opened new branch for 3.4.2 if we decide to take this:
https://gerrit.eng.lab.tlv.redhat.com/gitweb?p=ovirt-engine.git;a=shortlog;h=refs%2Fheads%2Fovirt-engine-3.4.2-rhevm

Comment 4 Allon Mureinik 2014-08-13 13:56:35 UTC
(In reply to Eyal Edri from comment #3)
> opened new branch for 3.4.2 if we decide to take this:
> https://gerrit.eng.lab.tlv.redhat.com/gitweb?p=ovirt-engine.git;a=shortlog;
> h=refs%2Fheads%2Fovirt-engine-3.4.2-rhevm

Sean - do we need this in 3.4.2, or can we defer to 3.4.3?

Comment 5 Allon Mureinik 2014-08-14 10:07:42 UTC
(In reply to Allon Mureinik from comment #4)
> (In reply to Eyal Edri from comment #3)
> > opened new branch for 3.4.2 if we decide to take this:
> > https://gerrit.eng.lab.tlv.redhat.com/gitweb?p=ovirt-engine.git;a=shortlog;
> > h=refs%2Fheads%2Fovirt-engine-3.4.2-rhevm
> 
> Sean - do we need this in 3.4.2, or can we defer to 3.4.3?

There will be a respin - let's just backport this to avoid customer questions.

Comment 7 Elad 2014-08-24 12:09:56 UTC
Direct LUN connected by virt-IO-SCSI without 'enable scsi pass-through' to a VM as RO is passed as 'disk' to vdsm and to libvirt:



<disk device="disk" snapshot="no" type="block">
                        <address bus="0" controller="0" target="0" type="drive" unit="0"/>
                        <source dev="/dev/mapper/360060160f4a03000ddbee0108fdbe311"/>
                        <target bus="scsi" dev="sdb"/>
                        <readonly/>
                        <serial/>
                        <driver cache="none" error_policy="stop" io="native" name="qemu" type="raw"/>
                </disk>


Installed an operating system, and verified that the direct LUN is write protected as it should be. 


Verified using rhev-3.4.2 av11.1

Comment 9 errata-xmlrpc 2014-09-04 15:10:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1161.html


Note You need to log in before you can comment on or make changes to this bug.